package com.urbandroid.sleep.activityrecognition

import android.content.BroadcastReceiver
import android.content.Context
import android.content.Intent
import com.urbandroid.common.logging.Logger
import com.urbandroid.sleep.activityrecognition.SleepTimeSuggestionManager.Mode.DISABLED
import com.urbandroid.sleep.alarmclock.GlobalInitializator
import com.urbandroid.sleep.settings
import com.urbandroid.util.Experiments

class NotifySleepTimeSuggestionReceiver : BroadcastReceiver() {

    override fun onReceive(context: Context?, intent: Intent?) {
        if (context == null) {
            return
        }
        GlobalInitializator.initializeIfRequired(context)
        if (!Experiments.getInstance().isActivityRecognitionExperiment) {
            return
        }

        val mode = context.settings.sleepTimeSuggestionMode
        Logger.logDebug("NotifySleepTimeSuggestionReceiver: mode=$mode")
        if (mode == DISABLED) {
            return
        }

        SleepTimeSuggestionManager(context).schedule()

        SleepTimeSuggestionNotificationService.start(context, Intent())
        Logger.logDebug("estimate notification called")
    }
}