package com.urbandroid.sleep.activityrecognition

import android.annotation.SuppressLint
import android.content.BroadcastReceiver
import android.content.Context
import android.content.Intent
import android.os.SystemClock
import com.urbandroid.common.logging.Logger
import com.urbandroid.sleep.activityrecognition.DetectedTransitionIntentService.Companion.ACTION_OTHER_ACTIVITY_DETECTED
import com.urbandroid.sleep.alarmclock.GlobalInitializator
import com.urbandroid.sleep.settings

class OtherActivityReceiver : BroadcastReceiver() {

    @SuppressLint("UnsafeProtectedBroadcastReceiver")
    override fun onReceive(context: Context?, intent: Intent?) {
        if (context == null || intent == null) {
            return
        }
        GlobalInitializator.initializeIfRequired(context)
        val mode = context.settings.sleepTimeSuggestionMode
        Logger.logDebug("UnsafeProtectedBroadcastReceiver: mode=$mode")
        if (mode == SleepTimeSuggestionManager.Mode.DISABLED) {
            return
        }
        Logger.logDebug("OtherActivityReceiver: intent ${intent.action}")
        val activityIntent = Intent(ACTION_OTHER_ACTIVITY_DETECTED).apply {
            putExtra(DetectedTransitionIntentService.EXTRA_TIMESTAMP, SystemClock.elapsedRealtime() * 1_000_000)
        }
        DetectedTransitionIntentService.start(context, activityIntent)
    }
}