package com.urbandroid.sleep.activityrecognition

import android.os.SystemClock
import com.google.android.gms.location.ActivityTransition
import com.google.android.gms.location.ActivityTransitionEvent
import com.google.android.gms.location.DetectedActivity

val ActivityTransitionEvent.activity: String
    get() = when (this.activityType) {
        DetectedActivity.IN_VEHICLE -> "IN_VEHICLE"
        DetectedActivity.ON_BICYCLE -> "ON_BICYCLE"
        DetectedActivity.ON_FOOT -> "ON_FOOT"
        DetectedActivity.STILL -> "STILL"
        DetectedActivity.UNKNOWN -> "UNKNOWN"
        DetectedActivity.TILTING -> "TILTING"
        DetectedActivity.WALKING -> "WALKING"
        DetectedActivity.RUNNING -> "RUNNING"
        else -> "..."
    }

val ActivityTransitionEvent.transition: String
    get() = when (this.transitionType) {
        ActivityTransition.ACTIVITY_TRANSITION_ENTER -> "ENTER"
        ActivityTransition.ACTIVITY_TRANSITION_EXIT -> "EXIT"
        else -> "..."
    }

val ActivityTransitionEvent.isExit: Boolean
    get() = this.transitionType == ActivityTransition.ACTIVITY_TRANSITION_EXIT

val ActivityTransitionEvent.isEnter: Boolean
    get() = this.transitionType == ActivityTransition.ACTIVITY_TRANSITION_ENTER

val ActivityTransitionEvent.timestamp: Long
    get() = (System.currentTimeMillis() - SystemClock.elapsedRealtime()) + elapsedRealTimeNanos/1_000_000

