package com.urbandroid.sleep.activityrecognition.calculator

import android.content.Context
import com.urbandroid.common.logging.Logger
import com.urbandroid.sleep.activityrecognition.ActivityIntervals
import com.urbandroid.util.Experiments

class SleepTimeSuggestion {

    @JvmOverloads
    fun calculate(context: Context, estimate: SleepTimeCalculator.Estimate, activityIntervals: ActivityIntervals = ActivityIntervals.from(ActivityIntervals.getStorageFile(context))): SleepTimeCalculator.Estimate {

        val from = estimate.from
        val to = estimate.to

        val ignoreOverlapping = Experiments.getInstance().isOurExperimentalPhone
        val estimationBasedFromDb = SleepTimeDbRecordCalculator(ignoreOverlapping)
                .estimate(estimate)
                .expand(2) // from - 2 hours, to + 2 hours

        Logger.logDebug("start interval:  ${from.time} ${to.time}")
        Logger.logDebug("expanded db  $estimationBasedFromDb")

        Logger.logDebug("all intervals: ${activityIntervals.toString(true)}")

        val calculatedEstimate = SleepTimeDetectedActivityCalculator(activityIntervals.intervals)
                .estimate(estimationBasedFromDb)

        Logger.logDebug("final $calculatedEstimate")
        return calculatedEstimate

    }

}