package com.urbandroid.sleep.alarmclock

import android.os.Build
import android.os.Bundle
import android.view.MenuItem
import com.urbandroid.common.BaseActivity
import com.urbandroid.sleep.R
import com.urbandroid.sleep.fragment.AlarmFragment
import com.urbandroid.sleep.gui.TintUtil
import com.urbandroid.util.ForceLocale
import kotlinx.android.synthetic.main.activity_alarm.*
import org.jetbrains.anko.startActivity

class AlarmActivity : BaseActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        GlobalInitializator.initializeIfRequired(this)
        ForceLocale.force(this)
        TintUtil.tint(this)

        setContentView(R.layout.activity_alarm)

        with (supportActionBar!!) {
            setTitle(R.string.alarm_list_title)
            setDisplayHomeAsUpEnabled(true)
        }

        fab.setOnClickListener { startActivity<SetAlarm>() }

        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.LOLLIPOP) {
            if (window != null && window.sharedElementEnterTransition != null) {
                window.sharedElementEnterTransition.duration = 150
            }
        }

    }

    override fun onOptionsItemSelected(item: MenuItem) =
        when (item.itemId) {
            android.R.id.home -> { supportFinishAfterTransition(); true }
            else -> false
        }

    override fun onStart() {
        super.onStart()
        try {
            (alarm as AlarmFragment).setVisible()
        } catch (e: Exception) {
        }
    }

    override fun onStop() {
        super.onStop()
        (alarm as AlarmFragment).setInvisible()
    }
}
