package com.urbandroid.sleep.alarmclock

import android.os.Bundle
import android.view.MenuItem
import com.urbandroid.common.BaseActivity
import com.urbandroid.sleep.NewAddRecordActivity
import com.urbandroid.sleep.R
import com.urbandroid.sleep.fragment.StatsFragment
import com.urbandroid.sleep.gui.TintUtil
import com.urbandroid.util.ForceLocale
import kotlinx.android.synthetic.main.activity_stats.*

class StatsActivity : BaseActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        GlobalInitializator.initializeIfRequired(this)
        ForceLocale.force(this)
        TintUtil.tint(this)

        setContentView(R.layout.activity_stats)

        with (supportActionBar!!) {
            setTitle(R.string.stats)
            setDisplayHomeAsUpEnabled(true)
        }

        (stats as StatsFragment).setVisible()

        fab.setOnClickListener( { NewAddRecordActivity.start(this)})
    }

    override fun onOptionsItemSelected(item: MenuItem) =
        when (item.itemId) {
            android.R.id.home -> { finish(); true }
            else -> false
        }

}
