package com.urbandroid.sleep.alarmclock.settings

import android.preference.Preference
import com.urbandroid.sleep.service.SettingKeys
import com.urbandroid.sleep.service.SettingKeys.KEY_SLEEP_TIME_SUGGESTION_MODE

fun Preference.matches(searchTerm: String): Boolean {
    return when {
        searchTerm.isEmpty() -> false
        title != null && title.toString().toLowerCase().contains(searchTerm) && SettingKeys.PREF_CATEGORY_CONTROL_PREF_TITLE != title -> true
        summary != null && summary.toString().toLowerCase().contains(searchTerm) -> true
        keywordMap[key]?.any { it.toLowerCase().contains(searchTerm) }?:false -> true
        else -> false
    }
}

val keywordMap = mapOf(
        KEY_SLEEP_TIME_SUGGESTION_MODE to listOf("notification", "estimate", "suggestion")
)