package com.urbandroid.sleep.fragment.dashboard.card

import android.app.Activity
import android.content.Intent
import android.view.View
import android.widget.Button
import android.widget.ImageView
import android.widget.TextView
import com.urbandroid.common.util.ActivityUtils
import com.urbandroid.sleep.R
import com.urbandroid.sleep.alarmclock.AddonActivity
import com.urbandroid.sleep.domain.addon.AddonApp
import com.urbandroid.sleep.fragment.addon.AddOnBinder

class AddOnCard(activity: Activity, val app: AddonApp) : DashboardCard<AddOnCard.AddOnViewHolder>(activity, DashboardCard.Type.ADD_ON, R.layout.card_addon) {

    private val iconSize: Int = Math.min(Math.max(ActivityUtils.getDip(context, 36), 64), 144)
    private val padding: Int = (iconSize - ActivityUtils.getDip(context, 24)) / 2

    override fun createViewHolder(v: View): AddOnViewHolder {
        return AddOnViewHolder(v)
    }

    inner class AddOnViewHolder(view: View) : LayeredViewHolder(view) {
        val image = view.findViewById<ImageView>(R.id.image)
        val title = view.findViewById<TextView>(R.id.title)
        val desc = view.findViewById<TextView>(R.id.desc)
        val button = view.findViewById<Button>(R.id.button)
    }

    override fun onCardClicked(view : View) {
        context.startActivity(Intent(context, AddonActivity::class.java))
    }

    override fun bindView(viewHolder: AddOnViewHolder) {
        AddOnBinder().bind(context, app, viewHolder.image, viewHolder.title, viewHolder.desc, viewHolder.button, iconSize, padding)
        viewHolder.button.visibility = View.GONE

    }

    override fun getNameResource(): Int {
        return R.string.addon
    }

}
