package com.urbandroid.sleep.sensor.respiration

interface RespiratoryDetector {

    fun detect(data: FloatArray, activity: Int)

    fun dataBroken()

    fun trackingFinished()

    interface RespiratoryListener {

        fun onBreathDetected(timestamp: Long, halesPerMinute: Int)

        fun onApneaDetected(timestamp: Long, numberOfApneaEvents: Int)
    }

    class NullRespiratoryListener : RespiratoryListener {

        override fun onBreathDetected(timestamp: Long, halesPerMinute: Int) {}

        override fun onApneaDetected(timestamp: Long, numberOfApneaEvents: Int) {}
    }
}
