package com.urbandroid.sleep.sensor.respiration.v2

import java.util.concurrent.atomic.AtomicLong

interface Clock {
    fun getTime():Long
}

fun systemClock(): Clock {
    return object: Clock {
        override fun getTime(): Long {
            return System.currentTimeMillis()
        }
    }
}

fun dummyClock(): Clock {
    val clock: AtomicLong = AtomicLong()
    return object: Clock {
        override fun getTime(): Long {
            return clock.getAndIncrement()
        }
    }
}
