package com.urbandroid.sleep.sensor.respiration.v2

import com.urbandroid.sleep.domain.Event
import com.urbandroid.sleep.domain.EventLabel
import com.urbandroid.sleep.domain.SleepRecord
import com.urbandroid.sleep.sensor.respiration.RespiratoryDetector

class RespiratoryListenerV2(private val sleepRecord: SleepRecord) : RespiratoryDetector.RespiratoryListener {

    override fun onBreathDetected(timestamp: Long, halesPerMinute: Int) {
        sleepRecord.events.addEvent(Event(timestamp, EventLabel.RR, halesPerMinute.toFloat()))
    }

    override fun onApneaDetected(timestamp: Long, numberOfApneaEvents: Int) {
        sleepRecord.events.addEvent(Event(timestamp, EventLabel.APNEA))
    }
}
